clear all
close all

load Sim_Dat

MkFig=1;
res='-r600';
Position=[0 0 1050 1250*1.0];
TitleSz=20; LblSz=16; AxSz=14;


ha=figure(1);
set(gcf,'Position',Position)
set(0,'DefaultAxesFontSize',AxSz,'DefaultAxesFontWeight','b')
plot(1:ctx,y,'r',1:ctx,y2,'k','Linewidth',2); 
axis([1 ctx 5 15]);
legend('\color{red}{L_{10}}','\color{black}Empircal','Location','Best');
xlabel(['Simulation Sample Count'],'fontsize',LblSz,'fontweight','b'); 
ylabel('Log_{10}\{{L_{10}}\} Life','fontsize',LblSz,'fontweight','b');
title(['Timken ' num2str(Model) ', R^2 = ' num2str(R2)],'fontsize',LblSz,'fontweight','b');
if MkFig==1
    print(ha,'-djpeg',['fig_' num2str(Model) '.jpeg'],res)
    close all
end

load Sim_Dat_Parametric

ha=figure(2);
set(gcf,'Position',Position)
set(0,'DefaultAxesFontSize',AxSz,'DefaultAxesFontWeight','b')
plot(1:ct0,bFct,'Linewidth',2); 
axis([1 52 -10 20]);
legend('b_1','b_2','b_3','Location','Best');
xlabel(['Parametric Study Results for Coefficients'],'fontsize',LblSz,'fontweight','b'); 
%ylabel('Log_{10}\{{L_{10}}\} Life','fontsize',LblSz,'fontweight','b');
title('Timken','fontsize',LblSz,'fontweight','b');
if MkFig==1
    print(ha,'-djpeg','fig_param.jpeg',res)
    close all
end

load Sim_Dat_Parametric_Validate_Eq

ha=figure(3);
set(gcf,'Position',Position)
set(0,'DefaultAxesFontSize',AxSz,'DefaultAxesFontWeight','b')
plot(1:ct0,R2dat,'kd','Linewidth',3); 
axis([1 52 0.96 0.97]);
%legend('b_1','b_2','b_3','Location','West');
xlabel(['Parametric Study Results for Coefficients'],'fontsize',LblSz,'fontweight','b'); 
%ylabel('Log_{10}\{{L_{10}}\} Life','fontsize',LblSz,'fontweight','b');
title('R^2','fontsize',LblSz,'fontweight','b');
if MkFig==1
    print(ha,'-djpeg','fig_R2.jpeg',res)
    close all
end